summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-text/pytextile
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-text/pytextile')
-rw-r--r--app-text/pytextile/Manifest3
-rw-r--r--app-text/pytextile/files/pytextile-2.1.8-sanitizer.patch15
-rw-r--r--app-text/pytextile/metadata.xml11
-rw-r--r--app-text/pytextile/pytextile-2.1.8.ebuild39
-rw-r--r--app-text/pytextile/pytextile-2.2.1.ebuild37
-rw-r--r--app-text/pytextile/pytextile-2.2.2.ebuild37
6 files changed, 142 insertions, 0 deletions
diff --git a/app-text/pytextile/Manifest b/app-text/pytextile/Manifest
new file mode 100644
index 00000000000..192b6019d5d
--- /dev/null
+++ b/app-text/pytextile/Manifest
@@ -0,0 +1,3 @@
+DIST textile-2.1.8.tar.gz 34002 SHA256 c443f4bf0a31df9e707e615f869d4f51b08cdb222d17ca3009eda44f7cfd8629 SHA512 b1675a131b482f4926efb45312b16c722ff158d9296704918b56316d470056f986ce18d495525a8e9f236bdd62e09ca6a17b443a7db8c8c36e5d05fcffce67da WHIRLPOOL fedcd9b9277387604e258fca427e3cd587f3b2ba93e65b39474ce57810fa67dae772241c5cf69dc8aaf89416d6191271f1fece4fa2f2e63f19fec6597b956bd5
+DIST textile-2.2.1.tar.gz 32631 SHA256 4899f06c63bfdc32a204d4c1c1e9302ddf17f26c20328419747d109348e23afd SHA512 81d044deaa765693078d949672affa787a4e15882cc2928fd19c3abe69256ffbeec1308b303ee694a80787ad7574b57ab4b256f111d9874e72440809236f6b93 WHIRLPOOL 3fda8226310d998b7d40d9fec6398173c8398c44704dd151400d284ba5a897a56bee6d3f17a21ed8fc01e76cea88f41a8372b90a4ad8a7eb6627de550dd0ef89
+DIST textile-2.2.2.tar.gz 32844 SHA256 dba4f1cb5772b99dbe4d521807a3255ddbbfa971da8b054afa08f0b428bced28 SHA512 19f2ed92199549549b07c2bb3accdf483c409c2dfd17e43ae38ba8babbc2c72d662d78414de0fd1c64b65eae59ce9e591ab9c863d4f806b7c454d8a37567d882 WHIRLPOOL a2cf3f1ef03ccac807582fd9ca44acc7f6bf48d56445a9a73d756400c7b2f7952f3222ce87caa6dfded27c4a4f55feee57f2e3194082b2d44841b4953821ca0f
diff --git a/app-text/pytextile/files/pytextile-2.1.8-sanitizer.patch b/app-text/pytextile/files/pytextile-2.1.8-sanitizer.patch
new file mode 100644
index 00000000000..1a9e696f21e
--- /dev/null
+++ b/app-text/pytextile/files/pytextile-2.1.8-sanitizer.patch
@@ -0,0 +1,15 @@
+https://github.com/textile/python-textile/commit/83c81db387fa5f0c5ca25c27b8bc36d105bce599
+diff --git a/textile/tools/sanitizer.py b/textile/tools/sanitizer.py
+index 83b6799..4fc8fb2 100644
+--- a/textile/tools/sanitizer.py
++++ b/textile/tools/sanitizer.py
+@@ -12,7 +12,7 @@ def sanitize(string):
+ p = html5lib.HTMLParser(tokenizer=sanitizer.HTMLSanitizer)
+ tree = p.parseFragment(string)
+
+- walker = treewalkers.getTreeWalker("simpletree")
++ walker = treewalkers.getTreeWalker("etree")
+ stream = walker(tree)
+
+ s = serializer.htmlserializer.HTMLSerializer(omit_optional_tags=False,
+
diff --git a/app-text/pytextile/metadata.xml b/app-text/pytextile/metadata.xml
new file mode 100644
index 00000000000..6c8bf0f9e05
--- /dev/null
+++ b/app-text/pytextile/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+ <longdescription lang="en">A Python implementation of Textile, Dean Allen's Human Text Generator.
+ Textile simplifies the work of creating (X)HTML.</longdescription>
+ <upstream>
+ <remote-id type="pypi">textile</remote-id>
+ <remote-id type="github">textile/python-textile</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-text/pytextile/pytextile-2.1.8.ebuild b/app-text/pytextile/pytextile-2.1.8.ebuild
new file mode 100644
index 00000000000..7621f60564e
--- /dev/null
+++ b/app-text/pytextile/pytextile-2.1.8.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+MY_PN="textile"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A Python implementation of Textile, Dean Allen's Human Text Generator for creating (X)HTML"
+HOMEPAGE="https://github.com/ikirudennis/python-textile"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 sparc x86 ~x86-fbsd"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+RDEPEND=""
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=( "${FILESDIR}"/${P}-sanitizer.patch )
+
+python_prepare_all() {
+ # This resolves a nasty race condition noted and observed by Arfrever
+ sed -e 's:with-id = 1::' -i setup.cfg || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests textile/tests/ || die "Tests failed under ${EPYTHON}"
+}
diff --git a/app-text/pytextile/pytextile-2.2.1.ebuild b/app-text/pytextile/pytextile-2.2.1.ebuild
new file mode 100644
index 00000000000..9ce8fb6e522
--- /dev/null
+++ b/app-text/pytextile/pytextile-2.2.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+MY_PN="textile"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A Python implementation of Textile, Dean Allen's Human Text Generator for creating (X)HTML"
+HOMEPAGE="http://github.com/textile/python-textile"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND="
+ dev-python/regex[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ # This resolves a nasty race condition, courtesy of Arfrever
+ sed -e 's:with-id = 1::' -i setup.cfg || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests textile/tests/ || die "Tests failed under ${EPYTHON}"
+}
diff --git a/app-text/pytextile/pytextile-2.2.2.ebuild b/app-text/pytextile/pytextile-2.2.2.ebuild
new file mode 100644
index 00000000000..9ce8fb6e522
--- /dev/null
+++ b/app-text/pytextile/pytextile-2.2.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+MY_PN="textile"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A Python implementation of Textile, Dean Allen's Human Text Generator for creating (X)HTML"
+HOMEPAGE="http://github.com/textile/python-textile"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND="
+ dev-python/regex[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ # This resolves a nasty race condition, courtesy of Arfrever
+ sed -e 's:with-id = 1::' -i setup.cfg || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests textile/tests/ || die "Tests failed under ${EPYTHON}"
+}